Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060764 - p11-kit: couldn't load module: /usr/lib/pkcs11/p11-kit-trust.so
Summary: p11-kit: couldn't load module: /usr/lib/pkcs11/p11-kit-trust.so
Keywords:
Status: CLOSED DUPLICATE of bug 990434
Alias: None
Product: Fedora
Classification: Fedora
Component: p11-kit
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Stef Walter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-03 14:39 UTC by Hin-Tak Leung
Modified: 2014-08-07 06:59 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-07 06:59:11 UTC


Attachments (Terms of Use)

Description Hin-Tak Leung 2014-02-03 14:39:00 UTC
Description of problem:
Running the MSVC tools inside cmd of 32-bit version of wine on x86_64 linux generates multiple warnings of:

p11-kit: couldn't load module: /usr/lib/pkcs11/p11-kit-trust.so: /usr/lib/pkcs11/p11-kit-trust.so: cannot open shared object file: No such file or directory
p11-kit: couldn't load module: /usr/lib/pkcs11/gnome-keyring-pkcs11.so: /usr/lib/pkcs11/gnome-keyring-pkcs11.so: cannot open shared object file: No such file or directory

Version-Release number of selected component (if applicable):
p11-kit-trust-0.20.2-1.fc20.x86_64
gnome-keyring-3.10.1-1.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. install 32-bit version of wine.
2. install MSVC express
3. compile something the windows way.

Actual results:
got a pile of warnings on the console.

Expected results:
silent.


Additional info:
I believe you would see the similar warnings running (32-bit) adobe acrobat reader also, or some other scenario. I think those warnings aren't unique to wine, just that those libraries are not available standalone on 64-bit platforms.

Comment 1 Stef Walter 2014-02-13 07:45:35 UTC
Hmmm, it seems that we don't have a p11-kit-trust.i686 package in Fedora for some reason. We do have p11-kit.i686.

Comment 2 David Timms 2014-06-04 13:43:59 UTC
Possible workaround: manually download from the i686 repo and install just the requested .so's:

mkdir temp
cd temp
wget http://download.fedoraproject.org/pub/fedora/linux/releases/20/Fedora/i386/os/Packages/p/p11-kit-trust-0.20.1-1.fc20.i686.rpm
wget download.fedoraproject.org/pub/fedora/linux/releases/20/Fedora/i386/os/Packages/g/gnome-keyring-3.10.1-1.fc20.i686.rpm

rpm2cpio p11-kit-trust-0.20.1-1.fc20.i686.rpm | cpio -idmv
rpm2cpio gnome-keyring-3.10.1-1.fc20.i686.rpm | cpio -idmv

cp usr/lib/pkcs11/p11-kit-trust.so /usr/lib/pkcs11/
cp usr/lib/pkcs11/gnome-keyring-pkcs11.so /usr/lib/pkcs11/

(This skips some errors for example wine trying to run gotomeeting, but application still doesn't work). Does it work for you ?

Comment 3 Kai Engert (:kaie) (inactive account) 2014-06-10 13:56:19 UTC
(In reply to Stef Walter from comment #1)
> Hmmm, it seems that we don't have a p11-kit-trust.i686 package in Fedora for
> some reason. We do have p11-kit.i686.

This bug is kind of duplicate of bug 990434.
Unfortunately we had failed to make progress on that one :(

Comment 4 Stef Walter 2014-08-07 06:59:11 UTC

*** This bug has been marked as a duplicate of bug 990434 ***


Note You need to log in before you can comment on or make changes to this bug.